Bug 805017 - Segmentation fault in anaconda when switching TTYs
Segmentation fault in anaconda when switching TTYs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-20 09:10 EDT by Kamil Páral
Modified: 2013-06-26 15:27 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 14:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (8.61 KB, text/plain)
2012-03-20 09:12 EDT, Kamil Páral
no flags Details
program.log (52.30 KB, text/plain)
2012-03-20 09:12 EDT, Kamil Páral
no flags Details
syslog (61.06 KB, text/plain)
2012-03-20 09:12 EDT, Kamil Páral
no flags Details
X.log (58.60 KB, text/plain)
2012-03-20 09:12 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-03-20 09:10:50 EDT
Description of problem:
X crashed on me with this traceback:

[   189.149] 0: Xorg (xorg_backtrace+0x4a) [0x80aba9a]
[   189.149] 1: Xorg (0x8048000+0x68a18) [0x80b0a18]
[   189.149] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb9140c]
[   189.149] 3: /usr/lib/xorg/modules/drivers/qxl_drv.so (0x904000+0x8b42) [0x90cb42]
[   189.150] 4: /usr/lib/xorg/modules/drivers/qxl_drv.so (0x904000+0x596a) [0x90996a]
[   189.150] 5: /usr/lib/xorg/modules/drivers/qxl_drv.so (0x904000+0x13dbe) [0x917dbe]
[   189.150] 6: Xorg (CompositeRects+0x79) [0x8147df9]
[   189.150] 7: Xorg (0x8048000+0x1045c4) [0x814c5c4]
[   189.150] 8: Xorg (0x8048000+0x1003bf) [0x81483bf]
[   189.151] 9: Xorg (0x8048000+0x2f2fd) [0x80772fd]
[   189.151] 10: Xorg (0x8048000+0x1cc05) [0x8064c05]
[   189.151] 11: /lib/libc.so.6 (__libc_start_main+0xf5) [0x1ce785]
[   189.151] 12: Xorg (0x8048000+0x1cf49) [0x8064f49]
[   189.152] 
[   189.152] Segmentation fault at address 0xccccccd0
[   189.152] 
Fatal server error:
[   189.152] Caught signal 11 (Segmentation fault). Server aborting

I have seen this several times in a VM using Spice+qxl. I know it happens when switching ttys (graphical and text). But it does not happen often and I can't surely reproduce it. I haven't seen this problem in an installed VM (but it's true I don't switch ttys much there).


Version-Release number of selected component (if applicable):
F17 Beta TC2
it seems that xorg-x11-drv-qxl-0.0.22-0.fc17 is inside

How reproducible:
seen several times, don't know how to trigger

Steps to Reproduce:
1. switch from tty7 to tty1 and back (possibly many times) using a spice VM
Comment 1 Kamil Páral 2012-03-20 09:12:08 EDT
Created attachment 571399 [details]
anaconda.log
Comment 2 Kamil Páral 2012-03-20 09:12:12 EDT
Created attachment 571400 [details]
program.log
Comment 3 Kamil Páral 2012-03-20 09:12:16 EDT
Created attachment 571401 [details]
syslog
Comment 4 Kamil Páral 2012-03-20 09:12:20 EDT
Created attachment 571402 [details]
X.log
Comment 5 Kamil Páral 2012-03-20 09:13:17 EDT
I'm not really sure we want to have this as a blocker, but I'm proposing it anyway so that we know about this and can discuss it.
Comment 6 Kamil Páral 2012-03-20 09:19:27 EDT
There is one more thing I need to mention. Before I started switching ttys, anaconda seemed to be stuck. I clicked Next on "install or upgrade" screen and nothing happened for a minute or two. Then I started switching ttys and it crashed. I think I vaguely remember that the other occasions where I saw it crashed was also anaconda stuck (or X stuck?). But it might not be the cause of the issue, but I rather mention it.
Comment 7 Adam Williamson 2012-03-20 15:01:28 EDT
I've had a todo list item to file this forever, so thanks for doing this.

I don't believe it's at all anaconda-specific: it just seems to be the case that X is very prone to crashing when you switch to a VT in a Spice/QXL VM. I've seen this a lot.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Adam Williamson 2012-03-20 15:05:30 EDT
I'm -1 on this as a blocker, though, it's not really serious enough to hit any criteria and it's specific to VMs. It was present in F16.
Comment 9 Kevin Fenzi 2012-03-21 18:50:38 EDT
-1 blocker.
Comment 10 Jared Smith 2012-03-21 19:10:19 EDT
-1 blocker, ambivalent about NTH
Comment 11 Adam Williamson 2012-03-21 19:19:42 EDT
Three -1s, this is rejected as a Beta blocker. It might be plausible to raise it as a final blocker, you can get in some nasty situations in VMs with it (like X respawning continuously so you can barely use the VT...), but it's too restricted in scope and impact to really be a Beta blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Adam Williamson 2012-03-21 19:20:11 EDT
proposing as beta NTH, as the issue has been raised. Since this has an impact on lives, I'm +1 on NTH.
Comment 13 Jóhann B. Guðmundsson 2012-03-21 20:32:11 EDT
-1 to blocker -1 to NTH.
Comment 14 Bruno Wolff III 2012-03-21 22:42:39 EDT
-1 blocker +0 NTH. Unless the fix is very simple, I think waiting for an update is better.
Comment 15 Søren Sandmann Pedersen 2012-03-22 15:59:21 EDT
Has anyone verified that this bug still exists with the 0.0.22 version?

It could be fixed with the rebase to a new upstream version.
Comment 16 Adam Williamson 2012-03-22 16:32:03 EDT
I hadn't checked, but I will now.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Adam Williamson 2012-03-22 16:37:24 EDT
just tried a dozen VT switches, no crash. looks promising. like the virt-manager hang bug, though, i'd like to leave it open for observation...
Comment 18 Kamil Páral 2012-03-23 04:55:03 EDT
(In reply to comment #15)
> Has anyone verified that this bug still exists with the 0.0.22 version?
> 
> It could be fixed with the rebase to a new upstream version.

See the bug description, F17 Beta TC2 crashes for sure. I don't know how to check inside anaconda, but qxl driver 0.0.22 seems to be present in the package repo, so I assume it was used.
Comment 19 Adam Williamson 2012-03-23 23:47:59 EDT
ah, I didn't notice the report was from TC2. yeah, TC2 had 0.0.22. so the bug's still present :/



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Adam Williamson 2012-04-09 23:18:46 EDT
Discussed at 2012-04-06 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-06/f17-beta-blocker-review-5.2012-04-06-17.01.html . Accepted as NTH as it's an annoying problem in testing anaconda and live images in a VM.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Kamil Páral 2012-04-12 08:09:41 EDT
Beta is out, moving to F17 Final NTH
Comment 22 Adam Williamson 2012-05-04 14:00:16 EDT
Discussed at 2012-05-04 NTH review meeting. Accepted as NTH as it's an annoying bug that would get 'locked in' on live images if we don't fix it before release, and we'd have another six months of lives that crash when you switch VTs in a VM.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Cole Robinson 2013-06-26 14:43:14 EDT
I don't think this was ever addressed in F17, and given that end-of-life is approaching I don't think it ever will be fixed. I haven't seen this issue on F18+, but if someone can reproduce on something newer, please reopen.
Comment 24 Adam Williamson 2013-06-26 15:27:00 EDT
yeah, I think it still happens in F17 when I have to use it to check something, but it seems to have been fixed since F18.

Note You need to log in before you can comment on or make changes to this bug.